[arch-commits] Commit in epiphany (gnome-unstable trunk/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Oct 11 15:08:22 EDT 2009


    Date: Sunday, October 11, 2009 @ 15:08:22
  Author: jgc
Revision: 54754

Merge gnome-unstable

Modified:
  epiphany/trunk/PKGBUILD
Deleted:
  epiphany/gnome-unstable/

----------+
 PKGBUILD |   20 +++++++-------------
 1 file changed, 7 insertions(+), 13 deletions(-)

Modified: trunk/PKGBUILD
===================================================================
--- trunk/PKGBUILD	2009-10-11 19:08:20 UTC (rev 54753)
+++ trunk/PKGBUILD	2009-10-11 19:08:22 UTC (rev 54754)
@@ -2,32 +2,26 @@
 # Maintainer: dale <dale at archlinux.org>
 
 pkgname=epiphany
-pkgver=2.26.3
+pkgver=2.28.0
 pkgrel=1
 install=epiphany.install
-pkgdesc="A GNOME2 web browser based on the mozilla rendering engine."
+pkgdesc="A GNOME2 web browser based on the WebKit rendering engine."
 arch=(i686 x86_64)
 license=('GPL')
-depends=('xulrunner>=1.9.1' 'gnome-desktop>=2.26.3' 'iso-codes>=3.10.1' 'desktop-file-utils' 'libxslt>=1.1.24' 'enchant>=1.4.2' 'libnotify>=0.4.5' 'libcanberra' 'libgnomeui>=2.24.1' 'python>=2.6')
-makedepends=('gnome-doc-utils>=0.16.0' 'gnome-python>=2.26.1' 'pkgconfig' 'networkmanager' 'intltool')
-optdepends=('gnome-python: python plugins')
+depends=('libwebkit>=1.1.15' 'startup-notification>=0.10' 'iso-codes>=3.10.1' 'desktop-file-utils' 'libxslt>=1.1.24' 'libnotify>=0.4.5' 'avahi>=0.6.25' 'libsoup-gnome>=2.28.0')
+makedepends=('gnome-doc-utils>=0.18.0' 'pkgconfig' 'networkmanager' 'intltool')
 options=('!libtool' '!emptydirs')
 groups=('gnome')
 url="http://www.gnome.org/projects/epiphany/"
-source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/2.26/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('16f44012bc376077e1443e049d725847')
+source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/2.28/${pkgname}-${pkgver}.tar.bz2)
+sha256sums=('23e0379c41c378221338fb327d747f3e42b2b98cdf1512c9df7cbeab45f311ea')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
       --localstatedir=/var \
-      --enable-python \
-      --enable-certificate-manager \
-      --enable-dbus \
-      --with-gecko=libxul-embedding \
       --disable-scrollkeeper \
-      --enable-network-manager \
-      --enable-spell-checker || return 1
+      --enable-network-manager || return 1
   make || return 1
   make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
 



More information about the arch-commits mailing list